SwissprotFileFormer (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.SwissprotFileFormer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io
Class SwissprotFileFormer

    java.lang.Object
      org.biojava.bio.seq.io.SwissprotFileFormer

All Implemented Interfaces:
  SeqFileFormer, SeqIOListener

Deprecated. Use org.biojavax.bio.seq.io framework instead

    public class SwissprotFileFormer

extends Object
implements SeqFileFormer

Formats a sequence into Swissprot/TrEMBL format. Modeled after EmblFileFormer.

Since:
  1.2
Author:
  Greg Cox

Constructor Summary
`protected` | `SwissprotFileFormer()` Deprecated. Creates a new `SwissprotFileFormer` using `System.out` stream.
`protected` | `SwissprotFileFormer(PrintStream theStream)` Deprecated. Creates a new `SwissprotFileFormer` using the specified stream.

Method Summary
`void` | `addFeatureProperty(Object key, Object value)` Deprecated. Null implementation
`void` | `addSequenceProperty(Object key, Object value)` Deprecated. Notify the listener of a sequence-wide property.
`void` | `addSymbols(Alphabet theAlphabet, Symbol[] theSymbols, int theStart, int theLength)` Deprecated. Prints out the sequences properties in order.
`protected List` | `breakSymbolArray(Alphabet theAlphabet, Symbol[] theSymbols, int theStart, int theLength)` Deprecated. Converts the symbol list passed in into an array of strings.
`void` | `endFeature()` Deprecated. Null implementation.
`void` | `endSequence()` Deprecated. Notify the listener that processing of the sequence is complete.
`protected void` | `fillBuffer(StringBuffer theBuffer, int theLength)` Deprecated. Simple method that adds spaces onto the buffer passed in.
`String` | `formatLocation(Feature theFeature)` Deprecated. Creates a string representation of the location of a feature
`String` | `formatLocation(Location loc, StrandedFeature.Strand strand)` `formatLocation` creates an EMBL/Genbank style representation of a `Location`.
`StringBuffer` | `formatLocation(StringBuffer theBuffer, Location theLocation)` Deprecated. `formatLocation` creates a String representation of a `Location`.
`StringBuffer` | `formatLocation(StringBuffer theBuffer, Location theLocation, StrandedFeature.Strand theStrand)` Deprecated. `formatLocation` creates a String representation of a `Location`.
`protected StringBuffer` | `formatPoint(int theMinIndex, int theMaxIndex, boolean isFuzzy)` Deprecated. Formats the points from fuzzy locations.
`PrintStream` | `getPrintStream()` Deprecated. `getPrintStream` returns the `PrintStream` to which an instance of SwissprotFileFormer will write the formatted data.
`protected void` | `printOutSequenceHeaderLine(Alphabet theAlphabet, Symbol[] theSymbols, int theStart, int theLength)` Deprecated. Prints out sequence header with only length data.
`void` | `setName(String theName)` Deprecated. The name is printed out as part of the identifier line.
`void` | `setPrintStream(PrintStream theStream)` Deprecated. `setPrintStream` informs an instance which `PrintStream` to use.
`void` | `setURI(String theURI)` Deprecated. Null implementation.
`void` | `startFeature(Feature.Template templ)` Deprecated. Null implementation.
`void` | `startSequence()` Deprecated. Start the processing of a sequence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwissprotFileFormer

    protected SwissprotFileFormer()

  Deprecated.
  Creates a new `SwissprotFileFormer` using `System.out` stream.

### SwissprotFileFormer

    protected SwissprotFileFormer(PrintStream theStream)

  Deprecated.
  Creates a new `SwissprotFileFormer` using the specified stream.

  Parameters:
    `theStream` - a `PrintStream` object.

Method Detail

### startSequence

    public void startSequence()
                       throws ParseException

  Deprecated.
  Start the processing of a sequence. This method exists primarily to enforce the life-cycles of SeqIOListener objects.

  Specified by:
    `startSequence` in interface `SeqIOListener`
  Throws:
    `ParseException`

### endSequence

    public void endSequence()
                     throws ParseException

  Deprecated.
  Notify the listener that processing of the sequence is complete.

  Specified by:
    `endSequence` in interface `SeqIOListener`
  Throws:
    `ParseException`

### setName

    public void setName(String theName)
                 throws ParseException

  Deprecated.
  The name is printed out as part of the identifier line. It will be replaced if an ID keyword exists in the annotations.

  Specified by:
    `setName` in interface `SeqIOListener`
  Parameters:
    `theName` - the String that should be returned by getName for the sequence being parsed
  Throws:
    `ParseException`

### setURI

    public void setURI(String theURI)
                throws ParseException

  Deprecated.
  Null implementation. This object formats and prints a sequence. The URI alone cannot be printed in Swissprot format. Therefore, it's easiest to ignore it.

  Specified by:
    `setURI` in interface `SeqIOListener`
  Parameters:
    `theURI` - the new URI of the sequence
  Throws:
    `ParseException`

### addSymbols

    public void addSymbols(Alphabet theAlphabet,
                           Symbol[] theSymbols,
                           int theStart,
                           int theLength)
                    throws IllegalAlphabetException

  Deprecated.
  Prints out the sequences properties in order. Prints out the symbol array passed in in lines of 60, blocks of 10

  Specified by:
    `addSymbols` in interface `SeqIOListener`
  Parameters:
    `theAlphabet` - The alphabet of the symbol data
    `theSymbols` - An array containing symbols
    `theStart` - The start offset of valid data within the array
    `theLength` - The number of valid symbols in the array
  Throws:
    `IllegalAlphabetException` - if we can't cope with this alphabet.

### addSequenceProperty

    public void addSequenceProperty(Object key,
                                    Object value)
                             throws ParseException

  Deprecated.
  Notify the listener of a sequence-wide property. This might be stored as an entry in the sequence's annotation bundle. Checks for possible known properties to be shown in the file.

  Specified by:
    `addSequenceProperty` in interface `SeqIOListener`
  Parameters:
    `key` - Key the property will be stored under
    `value` - Value stored under the key
  Throws:
    `ParseException`

### startFeature

    public void startFeature(Feature.Template templ)
                      throws ParseException

  Deprecated.
  Null implementation.

  Specified by:
    `startFeature` in interface `SeqIOListener`
  Parameters:
    `templ` - The template for this new feature object
  Throws:
    `ParseException`

### endFeature

    public void endFeature()
                    throws ParseException

  Deprecated.
  Null implementation.

  Specified by:
    `endFeature` in interface `SeqIOListener`
  Throws:
    `ParseException`

### addFeatureProperty

    public void addFeatureProperty(Object key,
                                   Object value)
                            throws ParseException

  Deprecated.
  Null implementation

  Specified by:
    `addFeatureProperty` in interface `SeqIOListener`
  Parameters:
    `key` - Key the property will be stored under
    `value` - Value stored under the key
  Throws:
    `ParseException`

### getPrintStream

    public PrintStream getPrintStream()

  Deprecated.
  `getPrintStream` returns the `PrintStream` to which an instance of SwissprotFileFormer will write the formatted data. The default is System.out

  Specified by:
    `getPrintStream` in interface `SeqFileFormer`
  Returns:
    the `PrintStream` which will be written to.

### setPrintStream

    public void setPrintStream(PrintStream theStream)

  Deprecated.
  `setPrintStream` informs an instance which `PrintStream` to use.

  Specified by:
    `setPrintStream` in interface `SeqFileFormer`
  Parameters:
    `theStream` - a `PrintStream` to write to.

### formatLocation

    public StringBuffer formatLocation(StringBuffer theBuffer,
                                       Location theLocation,
                                       StrandedFeature.Strand theStrand)

  Deprecated.
  `formatLocation` creates a String representation of a `Location`. Strand information is ignored, as Swissprot files represent proteins. An alternative form of this function does not take a Strand; that form is available only on SwissprotFileFormer; it is not part of the SeqFileFormer interface.

  Specified by:
    `formatLocation` in interface `SeqFileFormer`
  Parameters:
    `theBuffer` - a `StringBuffer` to append the location to.
    `theLocation` - a `Location` to format.
    `theStrand` - a `StrandedFeature.Strand` indicating nothing of relevance
  Returns:
    a `StringBuffer` with the location appended.

### formatLocation

    public String formatLocation(Feature theFeature)

  Deprecated.
  Creates a string representation of the location of a feature

  Specified by:
    `formatLocation` in interface `SeqFileFormer`
  Parameters:
    `theFeature` - The feature with the location to format
  Returns:
    String The formatted location

### formatLocation

    public StringBuffer formatLocation(StringBuffer theBuffer,
                                       Location theLocation)

  Deprecated.
  `formatLocation` creates a String representation of a `Location`. The stringbuffer returned represents columns 15-27 of the Swissprot feature table entry. An alternative form of this function takes a Strand; that form is part of the SeqFileFormer interface.

  Parameters:
    `theBuffer` - a `StringBuffer` to append the location to.
    `theLocation` - a `Location` to format.
  Returns:
    a `StringBuffer` with the location appended.

### printOutSequenceHeaderLine

    protected void printOutSequenceHeaderLine(Alphabet theAlphabet,
                                              Symbol[] theSymbols,
                                              int theStart,
                                              int theLength)
                                       throws IllegalAlphabetException

  Deprecated.
  Prints out sequence header with only length data.

  Parameters:
    `theAlphabet` - The alphabet of the symbol data
    `theSymbols` - An array containing symbols
    `theStart` - The start offset of valid data within the array
    `theLength` - The number of valid symbols in the array
  Throws:
    `IllegalAlphabetException` - if we can't cope with this alphabet.

### breakSymbolArray

    protected List breakSymbolArray(Alphabet theAlphabet,
                                    Symbol[] theSymbols,
                                    int theStart,
                                    int theLength)
                             throws IllegalAlphabetException

  Deprecated.
  Converts the symbol list passed in into an array of strings. The strings will be blocks of ten, with six blocks on a line.

  Parameters:
    `theAlphabet` - The alphabet of the symbol data
    `theSymbols` - An array containing symbols
    `theStart` - The start offset of valid data within the array
    `theLength` - The number of valid symbols in the array
  Returns:
    The symbol list passed in broken into blocks of ten characters, six to a string.
  Throws:
    `IllegalAlphabetException` - if we can't cope with this alphabet.

### fillBuffer

    protected void fillBuffer(StringBuffer theBuffer,
                              int theLength)

  Deprecated.
  Simple method that adds spaces onto the buffer passed in. This method exists to refactor some code used in location formatting. It isn't intended to be generally used.

  Parameters:
    `theBuffer` - Buffer to append whitespace to.
    `theLength` - Ammount of whitespace to append.

### formatPoint

    protected StringBuffer formatPoint(int theMinIndex,
                                       int theMaxIndex,
                                       boolean isFuzzy)

  Deprecated.
  Formats the points from fuzzy locations. This is called easily with this.formatPoint(FuzzyLocation.getInnerMax(), FuzzyLocation.getOuterMax(), FuzzyLocation.isFuzzyMax())

  Parameters:
    `theMaxIndex` - Inner index of the fuzzy point
    `theMinIndex` - Outer index of the fuzzy point
    `isFuzzy` - Indicates if this point is fuzzy

### formatLocation

    public String formatLocation(Location loc,
                                 StrandedFeature.Strand strand)

  `formatLocation` creates an EMBL/Genbank style representation of a `Location`. This is a convenience method only. The version which has a `StringBuffer` parameter (and returns the `StringBuffer`) is preferred. If a compound location is formatted using this method, it is returned as a join-type location rather than an order-type.

  Parameters:
    `loc` - a `Location` to format.
    `strand` - a `StrandedFeature.Strand` indicating the `Location`'s strand.
  Returns:
    a `StringBuffer`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD